# This file created by conda-build 3.21.8
# ------------------------------------------------

package:
  name: opencv
  version: 4.5.5
source:
  - fn: opencv-4.5.5.zip
    sha256: fb16b734db3a28e5119d513bd7c61ef417edf3756165dc6259519bb9d23d04e2
    url: https://github.com/opencv/opencv/archive/4.5.5.zip
  - fn: opencv_contrib-4.5.5.tar.gz
    folder: opencv_contrib-4.5.5
    sha256: a97c2eaecf7a23c6dbd119a609c6d7fae903e5f9ff5f1fe678933e01c67a6c11
    url: https://github.com/opencv/opencv_contrib/archive/4.5.5.tar.gz
build:
  ignore_run_exports:
    - openblas-devel
  missing_dso_whitelist:
    - '*'
  number: 2
  string: py310hd92d8e9_2
requirements:
  build:
    - bzip2 1.0.8 h1de35cc_0
    - ca-certificates 2022.4.26 hecd8cb5_0
    - cctools_osx-64 949.0.1 hc7db93f_23
    - clang 12.0.0 hecd8cb5_2
    - clang-12 12.0.0 default_hfcad0e5_2
    - clang_osx-64 12.0.0 h7ad7729_2
    - clangxx 12.0.0 default_hfcad0e5_2
    - clangxx_osx-64 12.0.0 he0c6f94_2
    - compiler-rt 12.0.0 hd87ff74_2
    - compiler-rt_osx-64 12.0.0 hfb26b64_2
    - ld64_osx-64 530 h70f3046_23
    - ldid 2.1.2 h2d21305_2
    - libclang-cpp12 12.0.0 default_hfcad0e5_2
    - libcxx 12.0.0 h2f01273_0
    - libffi 3.3 hb1e8313_2
    - libiconv 1.16 hca72f7f_2
    - libllvm12 12.0.0 h9b2ccf5_3
    - llvm-tools 12.0.0 h9b2ccf5_3
    - ncurses 6.3 hca72f7f_2
    - ninja 1.10.2 hecd8cb5_5
    - ninja-base 1.10.2 haf03e11_5
    - openssl 1.1.1o hca72f7f_0
    - pkg-config 0.29.2 h3efe00b_8
    - python 3.10.4 hdfd78df_0
    - readline 8.1.2 hca72f7f_1
    - sqlite 3.38.3 h707629a_0
    - tapi 1000.10.8 ha1b3eb9_0
    - tk 8.6.12 h5d9f67b_0
    - tzdata 2022a hda174b7_0
    - xz 5.2.5 hca72f7f_1
    - zlib 1.2.12 h4dc903c_2
  host:
    - blas 1.0 openblas
    - bzip2 1.0.8 h1de35cc_0
    - c-ares 1.18.1 hca72f7f_0
    - ca-certificates 2022.4.26 hecd8cb5_0
    - cairo 1.16.0 h691a603_2
    - cmake 3.22.1 hbfa4a85_0
    - eigen 3.3.7 haf03e11_1
    - expat 2.4.4 he9d5cce_0
    - fontconfig 2.13.1 ha9ee91d_0
    - freetype 2.10.4 ha233b18_0
    - gettext 0.21.0 h7535e17_0
    - glib 2.69.1 h8346a28_1
    - graphite2 1.3.14 he9d5cce_1
    - gst-plugins-base 1.14.0 h4180768_2
    - gstreamer 1.14.0 h0fc69c2_2
    - harfbuzz 2.4.0 h831d699_1
    - hdf5 1.10.6 h10fe05b_1
    - icu 58.2 h0a44026_3
    - jpeg 9e hca72f7f_0
    - krb5 1.19.2 hcd88c3b_0
    - libcurl 7.82.0 h6dfd666_0
    - libcxx 12.0.0 h2f01273_0
    - libedit 3.1.20210910 hca72f7f_0
    - libev 4.33 h9ed2024_1
    - libffi 3.3 hb1e8313_2
    - libgfortran 5.0.0 11_2_0_h246ff09_26
    - libgfortran5 11.2.0 h246ff09_26
    - libiconv 1.16 hca72f7f_2
    - libnghttp2 1.46.0 ha29bfda_0
    - libopenblas 0.3.20 h9a5756b_1
    - libpng 1.6.37 ha441bb4_0
    - libssh2 1.10.0 h0a4fc7d_0
    - libtiff 4.1.0 hdb42f99_1
    - libuv 1.40.0 haf1e3a3_0
    - libxml2 2.9.14 hbf8cd5e_0
    - llvm-openmp 12.0.0 h0dcd299_1
    - lz4-c 1.9.3 h23ab428_1
    - ncurses 6.3 hca72f7f_2
    - nomkl 3.0 0
    - numpy 1.21.5 py310h6c44a92_3
    - numpy-base 1.21.5 py310h8a30af7_3
    - openblas-devel 0.3.20 hecd8cb5_1
    - openjpeg 2.3.0 hb95cd4c_1
    - openssl 1.1.1o hca72f7f_0
    - pcre 8.45 h23ab428_0
    - pixman 0.40.0 h9ed2024_1
    - python 3.10.4 hdfd78df_0
    - qt 5.9.7 h468cd18_1
    - readline 8.1.2 hca72f7f_1
    - rhash 1.4.1 hbcfaee0_1
    - sqlite 3.38.3 h707629a_0
    - tk 8.6.12 h5d9f67b_0
    - tzdata 2022a hda174b7_0
    - xz 5.2.5 hca72f7f_1
    - zlib 1.2.12 h4dc903c_2
    - zstd 1.5.2 hcb37349_0
  run:
    - blas * openblas
    - eigen
    - freetype >=2.10.4,<3.0a0
    - glib >=2.69.1,<3.0a0
    - gst-plugins-base >=1.14.0,<1.15.0a0
    - gstreamer >=1.14.0,<1.15.0a0
    - harfbuzz >=2.4.0,<3.0a0
    - hdf5 >=1.10.6,<1.10.7.0a0
    - jpeg >=9e,<10a
    - libcxx >=12.0.0
    - libopenblas >=0.3.20,<1.0a0
    - libpng >=1.6.37,<1.7.0a0
    - libtiff >=4.1.0,<5.0a0
    - numpy 1.21.*
    - openjpeg >=2.3.0,<3.0a0
    - python >=3.10,<3.11.0a0
    - qt ==5.9.7
    - qt >=5.9.7,<5.10.0a0
    - zlib >=1.2.12,<1.3.0a0
test:
  commands:
    - pushd test-cmake
    - cmake . -GNinja -DCMAKE_BUILD_TYPE=Release
    - cmake --build . --verbose
    - popd
    - test -f ${CONDA_PREFIX}/lib/libopencv_aruco.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_bgsegm.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_calib3d.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_ccalib.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_core.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_datasets.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_features2d.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_flann.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_fuzzy.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_highgui.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_imgcodecs.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_imgproc.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_line_descriptor.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_ml.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_optflow.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_phase_unwrapping.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_photo.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_plot.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_reg.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_rgbd.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_saliency.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_shape.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_stereo.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_stitching.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_structured_light.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_superres.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_surface_matching.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_tracking.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_video.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_videoio.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_videostab.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_xfeatures2d.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_ximgproc.dylib
    - test -f ${CONDA_PREFIX}/lib/libopencv_xphoto.dylib
  files:
    - test-cmake/CMakeLists.txt
    - test-cmake/DisplayImage.cpp
    - test.cpp
  requires:
    - clangxx_osx-64 12.*
    - cmake
    - ninja
    - numpy
    - python >=3.10,<3.11.0a0
about:
  description: 'OpenCV (Open Source Computer Vision Library) includes several hundreds
    of computer vision algorithms.

    It has a modular structure,which means that the package includes several shared
    or static libraries.

    '
  dev_url: https://github.com/opencv/opencv/
  doc_source_url: https://github.com/opencv/opencv/tree/master/doc
  doc_url: https://docs.opencv.org/
  home: https://opencv.org/
  license: Apache-2.0
  license_family: Apache
  summary: Computer vision and machine learning software library.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 07d5c832-62e4-485d-a3ba-a7594fbc7a1c
  remote_url: git@github.com:AnacondaRecipes/opencv-feedstock.git
  sha: 86a9af44afe8de1c49d24ebc338db29d658eb4ec
